using FishFactoryContracts.BindingModels;
using FishFactoryContracts.SearchModels;
using FishFactoryContracts.ViewModels;

namespace FishFactoryContracts.BusinessLogicsContracts
{
    public interface IIngredientLogic
    {
        List<IngredientViewModel>? ReadList(IngredientSearchModel? model);
        IngredientViewModel? ReadElement(IngredientSearchModel model);
        bool Create(IngredientBindingModel model);
        bool Update(IngredientBindingModel model);
        bool Delete(IngredientBindingModel model);
    }
}
